/*
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.papyrus.robotics.assertions.languages.stl.STLRuntimeModule;
import org.eclipse.papyrus.robotics.assertions.languages.stl.STLStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class STLIdeSetup extends STLStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new STLRuntimeModule(), new STLIdeModule()));
	}
	
}
